#ifndef __TAR32_MAIN_H
#define __TAR32_MAIN_H

#ifndef __DEFCONF_H
#include "defconf.h"
#endif
/*
   This file was hacked for kmtar PowerUpKit v3.7
                                    at 1995-03-04.
                                    by tantan SGL00213@niftyserve.or.jp 
*/
#include "defs.h"

extern char *Progname;
extern int Exitcode;
extern bool Vflag;
extern bool Sflag;
extern bool Aflag;
extern bool Mflag;
extern bool Yflag;
extern bool Gflag;
extern bool EucFlag;
extern int attri_flag; /* kmtar 0.96->0.97*/
extern bool Limitflag;
extern long w_limit;
#if	(P_up_V >= 1)
extern bool Iflag;
#endif
#if P_up_V>=4
extern bool Pflag;
extern bool GZflag;
extern bool BZ2flag;
#endif
#ifdef USE_ZLIB
extern bool ZLIBflag; /* use zlib */
#endif
#ifdef USE_BZ2LIB
extern bool BZ2LIBflag; /* use bz2lib(libbzip2) */
#endif
extern int LEVELflag;
extern int DefaultBzipLevel;
extern int DefaultGzipLevel;

#ifdef USE_NKF_DLL
extern char OPTION_nkf_set_filename_conversion[];
extern char OPTION_nkf_get_filename_conversion[];
#endif
extern bool OPTION_use_directory;

extern bool OPTION_check_all_path;	
extern bool OPTION_display_dialog;
extern bool OPTION_self_extracting;

extern char *Archives[10];

extern char *terget_path;

#ifdef DLL
typedef struct ARCH_FILE_ ARCH_FILE;

bool main_match(char *name,char *argv[]);
void read_longlink_name(ARCH_FILE *arch_fp, int st_size,char *name);
void skip_file(ARCH_FILE *arch_fp);
int tar_main(int argc,char *argv[]);
void static_init_all(void);
#endif

#endif //__TAR32_MAIN_H